<div id="rdbms_parameters">
  <form #form="ngForm" (ngSubmit)="submitForm(form.value)">
    <div class="form-group">
      <div class="row">
        <span id="connectionName">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Connection Name</p>
            <!-- <input kendoTextBox class="kendo-input" placeholder="Connection Name"
          [(ngModel)]="connectorField.connectionName" /> -->
            <input type="text" class="form-control" placeholder="Connection Name" name="connectionName"
              [(ngModel)]="connectorField.connectionName" ngModel required>
          </div>
        </span>
        <span id="aliasName">
          <div class="col-lg-6">
            <p class="title">Alias Name(Optional)</p>
            <!-- <input kendoTextBox class="kendo-input" placeholder="Alias Name" [(ngModel)]="connectorField.aliasName" /> -->
            <input type="text" class="form-control" placeholder="Alias Name" name="aliasName" id
              [(ngModel)]="connectorField.aliasName" ngModel>
          </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
        <span id="serviceName">
          <div class="col-lg-10" *ngIf="connectorField.connectionType==='ORACLE'">
            <p class="title"><span class="astrick">*</span>Service Name</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.serviceName" placeholder="Service Name" /> -->
            <input type="text" class="form-control" placeholder="Service Name" name="serviceName"
              [(ngModel)]="connectorField.serviceName" ngModel required>
          </div>
          <div class="col-lg-10" *ngIf="connectorField.connectionType==='MYSQL' ||connectorField.connectionType==='DATAHUG'">
            <p class="title"><span class="astrick">*</span>Schema Name</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.serviceName" placeholder="Service Name" /> -->
            <input type="text" class="form-control" placeholder="Schema Name" name="schemaName"
              [(ngModel)]="connectorField.schemaName" ngModel required>
          </div>
        </span>
        <span id="port">
          <div class="col-lg-2">
            <p class="title"><span class="astrick">*</span>Port</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.port" placeholder="Port" /> -->
            <input type="text" class="form-control" placeholder="Port" name="port" [(ngModel)]="connectorField.port"
              ngModel required>
          </div>
        </span>
      </div>
    </div>
    <div class="form-group" *ngIf = "connectorField.connectionType==='DATAHUG'">
      <div class="row">
        <span id="host">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Service Name</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.host" placeholder="Host" /> -->
            <input type="text" class="form-control" placeholder="Service Name" name="serviceName" [(ngModel)]="connectorField.serviceName"
              ngModel required>
          </div>
        </span>
        <span id="testUrl">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Test Url</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.host" placeholder="Host" /> -->
            <input type="text" class="form-control" placeholder="Test Url" name="testUrl" [(ngModel)]="connectorField.testUrl"
              ngModel required>
          </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
        <span id="host">
          <div class="col-lg-12">
            <p class="title"><span class="astrick">*</span>Host</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.host" placeholder="Host" /> -->
            <input type="text" class="form-control" placeholder="Host" name="host" [(ngModel)]="connectorField.host"
              ngModel required>
          </div>
        </span>
      </div>
    </div>
    
    <div class="form-group" *ngIf = "connectorField.connectionType==='DATAHUG'">
      <div class="row">
        <span id="tokenUrl">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Token Url</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.host" placeholder="Host" /> -->
            <input type="text" class="form-control" placeholder="Token Url" name="tokenUrl" [(ngModel)]="connectorField.tokenUrl"
              ngModel required>
          </div>
        </span>
        <span id="url">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Url</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.host" placeholder="Host" /> -->
            <input type="text" class="form-control" placeholder="Url" name="url" [(ngModel)]="connectorField.url"
              ngModel required>
          </div>
        </span>
      </div>
    </div>
  
    <div class="form-group">
      <div class="row">
        <span id="userName">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Username</p>
            <!-- <input kendoTextBox class="kendo-input" [(ngModel)]="connectorField.userName" placeholder="Username" /> -->
            <input type="text" class="form-control" placeholder="Username" name="userName"
              [(ngModel)]="connectorField.userName" ngModel required>
          </div>
        </span>
        <span id="password">
          <div class="col-lg-6">
            <p class="title"><span class="astrick">*</span>Password </p>
            <input [type]="isShow ? 'text' : 'password'" class="form-control" placeholder="Password" name="password"
              [(ngModel)]="connectorField.password" ngModel required>
            <span toggle="#password-field" (click)="this.isShow = !this.isShow" class="fa toggle-password"
              [ngClass]="{ 'fa-eye': isShow, 'fa-eye-slash': !isShow}"></span>
          </div>
        </span>
      </div>
    </div>
    <div class="form-group">
      <div class="row">
        <div class="col-lg-12">
          <span id="saveBtn">
            <button kendoButton class="pull-right" primary="true" (click)="onSaveConnection()"
              [disabled]="!form.valid">Save</button>
          </span>
          <span id="closeBtn">
            <button kendoButton class="pull-right cancel_button" (click)="closeIt()">Cancel</button>
          </span>
          <span id="testConnection">
            <button class="pull-right test_connection" (click)="testConnection()" [disabled]="!form.valid">Test
              Connection</button>
          </span>
        </div>
      </div>
    </div>
  </form>
</div>
<div class="overlay" *ngIf="isProcessing">
  <i class="fa fa-refresh fa-spin"></i>
  <p>{{processingText}}</p>
</div>